Loading...
Searching...
No Matches
goos.h File Reference
`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
`#include <l4/re/c/dataspace.h>`
`#include <l4/re/c/video/colors.h>`
`#include <l4/re/c/video/view.h>`
Include dependency graph for goos.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4re_video_goos_info_t
| Goos information structure. More...

## Typedefs

typedef l4_cap_idx_t | l4re_video_goos_t
| Goos object type.

## Enumerations

enum | l4re_video_goos_info_flags_t { F_l4re_video_goos_auto_refresh = 0x01 , F_l4re_video_goos_pointer = 0x02 , F_l4re_video_goos_dynamic_views = 0x04 , F_l4re_video_goos_dynamic_buffers = 0x08 }
| Flags of information on the goos. More...

## Functions

L4_BEGIN_DECLS int | l4re_video_goos_info (l4re_video_goos_t goos, l4re_video_goos_info_t *ginfo) L4_NOTHROW
| Get information on a goos.
int | l4re_video_goos_refresh (l4re_video_goos_t goos, int x, int y, int w, int h) L4_NOTHROW
| Flush a rectangle of pixels of the goos screen.
int | l4re_video_goos_create_buffer (l4re_video_goos_t goos, unsigned long size, l4_cap_idx_t buffer) L4_NOTHROW
| Create a new buffer (memory buffer) for pixel data.
int | l4re_video_goos_delete_buffer (l4re_video_goos_t goos, unsigned idx) L4_NOTHROW
| Delete a pixel buffer.
int | l4re_video_goos_get_static_buffer (l4re_video_goos_t goos, unsigned idx, l4_cap_idx_t buffer) L4_NOTHROW
| Get the data-space capability of the static pixel buffer.
int | l4re_video_goos_create_view (l4re_video_goos_t goos, l4re_video_view_t *view) L4_NOTHROW
| Create a new view (.
int | l4re_video_goos_delete_view (l4re_video_goos_t goos, l4re_video_view_t *view) L4_NOTHROW
| Delete a view.
int | l4re_video_goos_get_view (l4re_video_goos_t goos, unsigned idx, l4re_video_view_t *view) L4_NOTHROW
| Get a view for the given index.

## Detailed Description

Note
  The C interface of L4Re::Video does NOT reflect the full C++ interface on purpose. Use the C++ where possible.

Definition in file goos.h.